Install Trouble with phpize...

Help
2003-07-10
2003-07-11
  • Robert Quine

    Robert Quine - 2003-07-10

    Hi!

    I'm a complete newbie to Linux and php, so I ran in a bit of trouble, hopefully someone can help:

    The System:
    SUSE Linux enterprise-81 2.4.19
    Apache/1.3.27
    PHP/4.2.3
    (Core & Devel where installed from .rpm)

    Well at the second Line of install the result is as follows:

    $PHP_PREFIX/bin/phpize
    /usr/bin/phpize: line 28: aclocal: command not found
    /usr/bin/phpize: line 29: autoconf: command not found
    /usr/bin/phpize: line 30: autoheader: command not found
    You should add the contents of '/usr/share/aclocal/libtool.m4' to `aclocal.m4'

    ---------
    Well I had a look into both, /usr/share/libtool/libltdl/aclocal.m4 is about 156KB file saying in the first line:
    # aclocal.m4t generated automatically by aclocal 1.6.3 -*- Autoconf -*-
    and
    /usr/share/aclocal/libtool.m4  is about 121 KB file.

    The only line containing aclocal in libtool.m4 is:
    --
    # This is just to silence aclocal about the macro not being used
    ifelse([AC_DISABLE_FAST_INSTALL])
    --
    Autoconf is only found in Comments within the file and Autoheader isn't found at all.

    So what should I do now?

    Thanks in advance,
    Bob

     
    • Dmitry Stogov

      Dmitry Stogov - 2003-07-11

      See the requirements section of README file. You must install autoconf, automake and libtools to do phpize.

       

Log in to post a comment.